POST Export transaction.
POST /merchant/spi/sample/endpoint/sa/orders/transaction/to/export/sale/order/to/external/system
Operation ID: exportTransaction. Tags: Transaction SPI.
Export the POS sale transaction to an external endpoint. This specification provides details for the external endpoint to consume the POS sale transaction. Prerequisite: Make sure to configure CMS setting mentioned below: CMS > Store Management > Integration > Custom API Connectors > Create. Make sure to create the endpoint in CMS with the following details:
- Under API Config:
- API Key:
TRANSACTION - API Endpoint: Provide the external endpoint to get the order, for example: https://sample/external/to/export/sale/order/to/external/system
- API Key:
- Under JSON Config:
- Integration Type:
HTTP_POST - JSON Headers: Provide the header for the API. Headers can be Content-Type, Authorization attributes like clientId/password, for example: {"Content-Type":"application/json","client_id":"myClientId","client_secret":"myClientSecret"}
- The endpoint with OAuth authorization is supported. For more details, refer to documentation. Use Case: The endpoint is used to post the recent transaction to external system or OMS.
- Integration Type:
Request body
Media type: application/json. Schema: ExternalTransaction.
Responses
- default
Default response.
Media type:
application/json. Schema:HttpResponse.